Package org.apache.ignite.internal.processors.datastreamer

## Class DataStreamerImpl.IsolatedUpdater

- java.lang.Object
- - org.apache.ignite.internal.processors.datastreamer.DataStreamerImpl.IsolatedUpdater

All Implemented Interfaces:
  `Serializable`, `DataStreamerCacheUpdaters.InternalUpdater`, `StreamReceiver<KeyCacheObject,​CacheObject>`

Enclosing class:
  DataStreamerImpl<K,​V>

    protected static class DataStreamerImpl.IsolatedUpdater
    extends Object
    implements StreamReceiver<KeyCacheObject,​CacheObject>, DataStreamerCacheUpdaters.InternalUpdater

Isolated receiver which only loads entry initial value.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `IsolatedUpdater()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `receive​(IgniteCache<KeyCacheObject,​CacheObject> cache, Collection<Map.Entry<KeyCacheObject,​CacheObject>> entries)` Updates cache with batch of entries.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IsolatedUpdater

    protected IsolatedUpdater()

### Method Detail

#### receive

    public void receive​(IgniteCache<KeyCacheObject,​CacheObject> cache,
                        Collection<Map.Entry<KeyCacheObject,​CacheObject>> entries)

Updates cache with batch of entries.

Specified by:
  `receive` in interface `StreamReceiver<KeyCacheObject,​CacheObject>`
Parameters:
  `cache` - Cache.
  `entries` - Collection of entries.